
Ruby - Bug #18669

Warning `flags ignored` is displayed for `Regexp.new(/regexp/)`

03/30/2022 03:16 PM - koic (Koichi ITO)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 3.2.0dev (2022-03-30T14:08:13Z

master 75efbb98af) [x86_64-darwin19]

Backport: 2.6: UNKNOWN, 2.7: UNKNOWN, 3.0:

UNKNOWN, 3.1: UNKNOWN

Description

I encountered an unexpected warning in Ruby 3.2.0dev.

Reproduction code

Regexp.new(/regexp/)

 

Expected Behavior (Ruby 3.1.1)

No warnings.

% ruby -vwe 'Regexp.new(/regexp/)'

ruby 3.1.1p18 (2022-02-18 revision 53f5fc4236) [x86_64-darwin19]

 

Actual Behavior (Ruby 3.2.0dev)

warning: flags ignored is displayed.

% ruby -vwe 'Regexp.new(/regexp/)'

ruby 3.2.0dev (2022-03-30T14:08:13Z master 75efbb98af) [x86_64-darwin19]

-e:1: warning: flags ignored

 I encountered it in a RuboCop build error:

https://app.circleci.com/pipelines/github/rubocop/rubocop/5974/workflows/94732274-f302-497a-a6bc-ffbf036c4e0b/jobs/213494

Perhaps https://github.com/ruby/ruby/pull/5703 change is related.

Associated revisions

Revision c499a4c28a62813752aeb894d68d92fcec850ac0 - 03/31/2022 01:07 AM - mame (Yusuke Endoh)

re.c: stop a wrong warning of "flags ignored" on Regexp.new(//)
Revision c499a4c28a62813752aeb894d68d92fcec850ac0 - 03/31/2022 01:07 AM - mame (Yusuke Endoh)

re.c: stop a wrong warning of "flags ignored" on Regexp.new(//)

[Bug #18669]

Revision c499a4c2 - 03/31/2022 01:07 AM - mame (Yusuke Endoh)

re.c: stop a wrong warning of "flags ignored" on Regexp.new(//)

[Bug #18669]

History

#1 - 03/31/2022 01:08 AM - mame (Yusuke Endoh)

- Status changed from Open to Closed

Applied in changeset git|c499a4c28a62813752aeb894d68d92fcec850ac0.
https://app.circleci.com/pipelines/github/rubocop/rubocop/5974/workflows/94732274-f302-497a-a6bc-ffbf036c4e0b/jobs/213494
https://github.com/ruby/ruby/pull/5703
https://bugs.ruby-lang.org/projects/ruby-master/repository/git/revisions/c499a4c28a62813752aeb894d68d92fcec850ac0


re.c: stop a wrong warning of "flags ignored" on Regexp.new(//)
#2 - 03/31/2022 01:14 AM - mame (Yusuke Endoh)

Yes, it was my fault. Thank you for your report!

#3 - 03/31/2022 01:48 AM - koic (Koichi ITO)

I confirmed the expected behavior in the edge Ruby. Thank you for the quick fixing!
